package netmanager.lib.netmanager;

public class NetDefs {
	/////////////////////////////////////////////////////////////////////////////////////////
	// 最大数
	public static final int MAX_PATH = 260;
	
	// 前端设备最大通道数
	public static final int MAX_CHANNEL_NUM	= 32;
	// 视频最大通道数
	public static final int MAX_VIDEO_CHANNEL_NUM = 32;
	// 最大录像通道数
	public static final int MAX_RECORD_CHANNEL_NUM = 32;
	// 最大报警输入通道数
	public static final int MAX_ALARM_IN_CHANNEL_NUM = 32;
	// 最大报警输出通道数
	public static final int MAX_ALARM_OUT_CHANNEL_NUM = 32;
	
	// 最大音频输入通道数
	public static final int MAX_AUDIO_IN_CHANNEL_NUM = 32;
	// 最大音频输出通道数
	public static final int MAX_AUDIO_OUT_CHANNEL_NUM = 32;
	
	// 最大抓图通道数
	public static final int MAX_CAPTURE_CHANNEL_NUM = 32;
	
	// 最大串口个数
	public static final int MAX_DEVICE_COM_NUM = 8;
	
	// 网卡数量最大值
	public static final int MAX_NETCARD_NUM = 8;
	// 一次查询的最大日志数量
	public static final int MAX_LOG_AMOUNT = 64;

	// 星期区间数目
	public static final int WEEK_SECTION = 7;
	// 时间区间数目
	public static final int	TIME_SECTION = 6;

	// 最大自定义视频 OSD 个数
	public static final int MAX_VIDEO_OSD_CUSTOM_NUM = 6;
	// 最大光圈类型个数
	public static final int MAX_IRIS_TYPE_NUM = 6;
	// 图片 OSD 数组最大个数
	public static final int MAX_CAPS_PICTURE_OSD_NUM = 3;
	
	// 单次搜索最大用户账号数
	public static final int	MAX_DEVICE_USER_ACCOUNT_NUM = 10;
	// 单次搜索最大在线用户数
	public static final int	MAX_DEVICE_ONLINE_USER_NUM = 10;

	// 最大主码流配置数
	public static final int	MAX_MAIN_STREAM_ENCODE_COUNT = 3;
	// 最大辅码流配置数
	public static final int	MAX_EXTRA_STREAM_ENCODE_COUNT = 3;
	// 最大图片码流配置数
	public static final int	MAX_CAPTURE_STREAM_ENCODE_COUNT = 3;

	// 最大顶点个数
	public static final int	MAX_POLY_POINT_COUNT = 20;

	// 抓拍数组最大值
	public static final int	MAX_SD_TRAFFIC_SETTING_SNAPSHOT_COUNT = 16;
	// 交通过滤表前缀车牌名称最大个数
	public static final int MAX_TRAFFIC_PREPLATE_NAME_NUM = 64;

	// 最大音频编码压缩格式数量
	public static final int MAX_AUDIO_ENCODE_COMPRESS_TYPE_COUNT = 64;
	// 每种压缩格式最大的元素数量
	public static final int MAX_AUDIO_ENCODE_COMPRESS_ITEM_COUNT = 4;
	// 最大码流配置数
	public static final int MAX_AUDIO_STREAM_ENCODE_COUNT = 3;
	
	// LDM 最大通道个数
	public static final int MAX_LDM_CHANNEL_NUM	= 128;
	/////////////////////////////////////////////////////////////////////////////////////////
	
	//语言简写最大长度
	public static final int MAX_LANGUAGE_LENGTH	= 20;
	//支持的最大语言数量
	public static final int MAX_LANGUAGE_NUM = 32;
	//IPv4 和 IPv6最大黑白名单数目
	public static final int MAX_NET_WB_ITEM_NUM	= 50;
	//网络存储服务最大条目
	public static final int MAX_NET_STORAGE_ITEM_NUM = 4;
	//设备支持的最大视频场景数
	public static final int MAX_VIDEO_ANALYSE_SCENE_NUM	= 32;

	// 设备支持的最大管理协议数目
	public static final int MAX_LDM_PROTOCOL_NUM = 32;
	
	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//录像下载录像类型最大数量
	public static final int MAX_V_REC_TYPE_COUNT = 128;

	/////////////////////////////////////////////////////////////////////////////////////////
	//智能事件

	//人脸识别信息最大数目
	public static final int MAX_FACE_REC_INFO_NUM = 5;
	
	// 人脸属性最大数目
	public static final int MAX_FACE_ATTRIBUTE_NUM_CV1 = 256;
	
	public static final int MAX_NET_PIC_STRERAM_FACE_NUM = 1;

	/////////////////////////////////////////////////////////////////////////////////////////
	//人脸库 & 人脸

	//最大人脸组数目
	public static final int MAX_FACE_GROUP_NUM = 3;
	//人员最大人脸数目
	public static final int MAX_PERSON_FACE_NUM	= 3;
	// 添加人脸&特征值的最大人员数量
	public static final int MAX_PERSON_FACE_FEATURE_NUM = 32;
	//一次查询的人员最大数目
	public static final int MAX_ONCE_QUERY_PERSON_NUM = 64;
	//一次查询的人脸识别比对记录最大数目
	public static final int MAX_ONCE_QUERY_FACE_REC_REC_NUM	= 128;
	
	//最大人脸识别记录结果数
	public static final int MAX_FACE_REC_RESULT_NUM	= MAX_FACE_REC_INFO_NUM;
	//静态人脸比对最大详细信息数
	public static final int MAX_FACE_REC_STATIC_DETAIL_NUM = MAX_FACE_REC_INFO_NUM;
	
	// 单次查询最大人脸建模详情数量
	public static final int MAX_EXTRACT_FEATURE_DETAIL_NUM = 100;
	
	// 人脸特征值最大长度
	public static final int MAX_BASE64_FEATURE_LEN = 8096;
	
	// GAT400服务器最大数量
	public static final int MAX_GAT1400_SERVICE_NUM	= 10;
	// YN平台继电器最大数量
	public static final int MAX_PLAT_YN_RELAY_NUM = 4;
	// ZW Whistle标定区域最大数量
	public static final int MAX_ZW_WHISTLE_CALIB_AREA_NUM = 2;
	// ZW Whistle区域标定点最大数量
	public static final int MAX_ZW_WHISTLE_CALIB_AREA_PTS_NUM = 3;
	// YT ELEVATOR楼层最大数
	public static final int MAX_PLAT_YT_ELEVATOR_FLOOR_NUM = 50;

	// 韦根配置最大数量
	public static final int MAX_WIE_GAND_CFG_NUM = 8;
	// 外设IO配置最大数量
	public static final int MAX_DEV_PREI_IO_CFG_NUM	= 8;
	// 外设补光灯配置最大数量
	public static final int MAX_DEV_SUPPLEMENT_LIGHT_CFG_NUM = 8;

	// 球机灯最大数量
	public static final int MAX_PTZ_SUPPLEMENT_LIGHT_CFG_NUM = 8;
	// 球机远光灯/中光灯/近光灯配置最大数量
	public static final int MAX_PTZ_SUPPLEMENT_LIGHT_DETAIL_NUM = 5;
	
	// 外设灯SOC红外灯最大数量
	public static final int MAX_SOC_CONSTANT_RED_LAMP_NUM = 10;
	// 外设灯SOC白光灯最大数量
	public static final int MAX_SOC_CONSTANT_LAMP_NUM = 10;
	// 外设灯SOC白光灯最大数量
	public static final int MAX_TRAFFIC_FLASH_LAMP_NUM = 10;
	// 外设灯SOC白光灯最大数量
	public static final int MAX_TRAFFIC_STROBOSCOPIC_LAMP_NUM = 10;

	// 外设爆闪灯抓拍时长最大数量
	public static final int MAX_TRAFFIC_FLASH_LAMP_TIME_NUM	= 10;

	// 外设闪灯端口最大数量
	public static final int MAX_FLASH_LAMP_PORT_NUM	= 8;
	
	// 用户自定义的车道最大数量
	public static final int MAX_TRAFFIC_LANE_NUM = 8;
	// 超速区间最大数量
	public static final int MAX_TRAFFIC_OVERSPEED_SECTION_NUM = 10;
	// 闪光灯最大数量
	public static final int MAX_TRAFFIC_FLASH_LIGHT_NUM	= 8;
	// 抓拍张数最大数量
	public static final int MAX_TRAFFIC_CAPTURE_NUM = 3;
	// 闪光灯违章配置最大数量
	public static final int MAX_FLASH_LIGHT_VIO_CFG_NUM = 128;
	
	// 智能算法版本最大数量
	public static final int MAX_INTELLI_ALGORITHM_VERSION_NUM = 16;
	
	// 横穿马路规则检测线最大数量
	public static final int MAX_ROAD_CROSSING_DETECT_LANE_MAX_NUM = 8;
	// 球机智能交通车牌所属名单支持最大数量
	public static final int MAX_TRAFFIC_PLATE_BWLIST_NUM = 3;
	
	/////////////////////////////////////////////////////////////////////////////////////////
	//最大服务配置项数目
	public static final int MAX_CFG_SERVICE_ITEM_NUM = 8;
	// 一次查询最大的交通黑白名单记录数目
	public static final int MAX_TRAFFIC_BWLIST_RECODE_NUM = 128;
	
	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//视频输入时间区间数量
	public static final int MAX_VIDEO_IN_TIME_SECTION_COUNT = 3;
	//视频输入配置种类数量
	public static final int MAX_VIDEO_IN_SETTING_TYPE_COUNT = 3;
	
	//视频输入白平衡区域最大数量
	public static final int MAX_VIDEO_IN_WHITE_BALANCE_REGION_COUNT = 10;
	
	//视频输入测光区域最大数量
	public static final int MAX_VIDEO_IN_AE_ADVANCED_REGION_COUNT = 10;
	
	//视频输入聚焦设置最大数量
	public static final int MAX_VIDEO_IN_FOCUS_COUNT = 10;
	//视频输入变倍设置最大数量
	public static final int MAX_VIDEO_IN_ZOOM_COUNT = 10;
	
	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//云台最大通道数目
	public static final int MAX_PTZ_CHANNEL_NUM = 8;
	//云台最大预置点数目
	public static final int MAX_PTZ_PRESET_NUM = 300;
	//云台最大巡航组数目
	public static final int MAX_PTZ_PRESET_TOUR_NUM = 8;
	//每一组巡航组内的最大预置点数目
	public static final int MAX_PTZ_PRESET_TOUR_NODE_NUM = 32;
	//定时任务最大组数
	public static final int MAX_PTZ_SCHEDULE_TASK_NUM = 8;
	//线性扫描最大个数
	public static final int MAX_PTZ_AUTO_SCAN_NUM = 32;
	//巡迹最大个数
	public static final int MAX_PTZ_AUTO_PATTERN_NUM = 32;
	
	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//最大门禁权限组
	public static final int MAX_DOOR_GROUP_NUM = 16;
	// 门禁时间段信息的最大个数
	public static final int MAX_DOOR_TIME_SEC_NUM = 32;
	//门禁通过时段的最大个数
	public static final int MAX_DOOR_PASS_TIME_NUM = 32;
	//门禁通过时段的最大时间区段个数
	public static final int MAX_DOOR_PASS_TIME_SEC_NUM = 32;
	//权限组与通行时段关系数
	public static final int MAX_DOOR_GROUP_PASS_TIME_NUM = 64;
	//一次查询门禁人员的最大数目
	public static final int MAX_DOOR_ONCE_PERSON_GET_NUM = 128;
	//一次查询门禁卡的最大数目
	public static final int MAX_DOOR_ONCE_CARD_GET_NUM = 128;
	//一次查询门禁卡访问记录的最大数目
	public static final int MAX_DOOR_ONCE_ACCESS_RECORD_GET_NUM = 128;
	// 门禁自定义提示最大行数
	public static final int MAX_DOOR_PROMPT_CUSTOM_TIP_LINES = 5;
	// 门禁自定义提示每行最大字节数
	public static final int MAX_DOOR_PROMPT_CUSTOM_TIP_SIZE = 26;
	
	// 门禁权限组单次查询绑定人员的最大数量
	public static final int MAX_DOOR_GROUP_FIND_BIND_PERSON_COUNT = 100;
	// 门禁权限组单次绑定人员的最大数量
	public static final int MAX_DOOR_GROUP_BIND_PERSON_COUNT = 32;
	// 门禁权限组周计划配置最大数量
	public static final int MAX_DOOR_GROUP_WEEK_PLAN_COUNT = 32;
	// 门禁权限组假日计划配置最大数量
	public static final int MAX_DOOR_GROUP_HOLIDAY_PLAN_COUNT = 16;
	// 门禁权限组假日最大数量
	public static final int MAX_DOOR_GROUP_HOLIDAY_COUNT = 32;
	
	// 门禁单次批量添加人员最大数量
	public static final int MAX_DOOR_MULTI_ADD_PERSON_NUM = 100;
	public static final int MAX_DOOR_MULTI_ADD_CARD_NUM = 3;

	// 门禁广告文件单次获取最大数量
	public static final int MAX_DOOR_ADVERTISING_FILE_COUNT = 50;
	// 门禁当前播放文件单次获取最大数量
	public static final int MAX_DOOR_ADVERTISING_PLAY_FILE_COUNT = 50;
	
	// 门禁基础全局设置最大数量
	public static final int MAX_DOOR_GLOBAL_SETTING_NUM	= 5;
	
	// 门禁广告文件最大数量
	public static final int MAX_DOOR_STANDBY_FILE_COUNT = 10;
	// 查找文件筛选信息最大数量
	public static final int MAX_FILE_FILTER_COUNT = 10;
	
	// 无线联网PPP配置最大数量
	public static final int MAX_MOBILE_WIRELESS_PPP_CFG_COUINT = 4;

	////////////////////////////////////////////////////////////
	// 新零售货柜配置最大数量
	public static final int MAX_GOODS_SHELVE_COUNT = 5;
	// 新零售货格最大行数
	public static final int MAX_GOODS_CONTAINER_ROW_COUNT = 5;
	// 新零售货格最大列数
	public static final int MAX_GOODS_CONTAINER_COLUMN_COUNT = 5;
	// 新零售货格最大数量
	public static final int MAX_GOODS_CONTAINER_COUNT = MAX_GOODS_CONTAINER_ROW_COUNT * MAX_GOODS_CONTAINER_COLUMN_COUNT;
	// 新零售单个货格内货品最大数量
	public static final int MAX_GOODS_IN_CONTAINER_COUNT = 5;
	// 新零售单件货品与周围货格相交最大数量
	public static final int MAX_GOODS_OUT_OF_REGION_COUNT = 8;
	
	/////////////////////////////////////////////////////////////////////////////////////////
	// 组件错误码
	public static int GetComponentErrorCode(int err) 
	{
		return (0x00010000 | err);
	}
	public static final int COMP_ERR_UNKNOWN							= GetComponentErrorCode(0x00);		// 未知错误
	public static final int COMP_ERR_INTERFACE_NOT_FOUND				= GetComponentErrorCode(0x01);		// 接口未找到错误
	public static final int COMP_ERR_CLASS_NOT_FOUND					= GetComponentErrorCode(0x02);		// 类未找到错误
	public static final int COMP_ERR_CLIENT_NOT_FOUND					= GetComponentErrorCode(0x03);		// 客户端未找到错误
	public static final int COMP_ERR_CLIENT_NOT_EXIST					= GetComponentErrorCode(0x04);		// 客户端不存在错误
	public static final int COMP_ERR_NOT_LOGIN_YET						= GetComponentErrorCode(0x05);		// 未登录错误
	public static final int COMP_ERR_TRYING_LOGIN						= GetComponentErrorCode(0x06);		// 尝试登陆错误
	public static final int COMP_ERR_USRNAME_NOT_VALID					= GetComponentErrorCode(0x07);		// 用户名错误
	public static final int COMP_ERR_PASSWORD_NOT_VALID					= GetComponentErrorCode(0x08);		// 密码错误
	public static final int COMP_ERR_PEER_HAS_BEEN_BLOCKED				= GetComponentErrorCode(0x09);		// 对端被锁定错误
	public static final int COMP_ERR_PEER_IN_BLACK_LIST					= GetComponentErrorCode(0x0A);		// 对端在黑名单中错误
	public static final int COMP_ERR_USERNAME_HAS_BEEN_USED				= GetComponentErrorCode(0x0B);		// 用户名已被使用错误
	public static final int COMP_ERR_TOO_MANY_CONNECTS					= GetComponentErrorCode(0x0C);		// 过多连接错误
	public static final int COMP_ERR_HAS_NO_AUTHORITY					= GetComponentErrorCode(0x0D);		// 无权限错误
	public static final int COMP_ERR_CREATE_OBJ_FAILED					= GetComponentErrorCode(0x0E);		// 创建对象错误
	public static final int COMP_ERR_Get_INSTANCE_FAILED				= GetComponentErrorCode(0x1F);		// 获取对象错误
	public static final int COMP_ERR_LOGIN_CHALLENGE					= GetComponentErrorCode(0x10);		// 鉴权错误
	public static final int COMP_ERR_UNIMPLEMENTED_OPERATION			= GetComponentErrorCode(0x11);		// 未执行的操作错误
	public static final int COMP_ERR_ACCOUNT_HAS_BEEN_BLOCKED			= GetComponentErrorCode(0x12);		// 账户已被屏蔽错误
	public static final int COMP_ERR_LOGIN_CONNECT_FAILED				= GetComponentErrorCode(0x13);		// 登陆连接错误错误
	public static final int COMP_ERR_LOGIN_TIMEOUT						= GetComponentErrorCode(0x14);		// 登陆超时错误
	public static final int COMP_ERR_LOGIN_FAILURE						= GetComponentErrorCode(0x15);		// 登陆失败错误
	public static final int COMP_ERR_USER_OR_PWD_NOT_VALID				= GetComponentErrorCode(0x16);		// 用户名或密码不合法错误
	public static final int COMP_ERR_DEV_HAS_NOT_INIT					= GetComponentErrorCode(0x17);		// 设备未激活错误
	public static final int COMP_ERR_NEED_MODIFY_ADMIN_PWD				= GetComponentErrorCode(0x18);		// 密码未修改错误

	// RPC错误码
	public static int GetRPCErrorCode(int err)
	{
		return (0x00020000 | err);
	}
	public static final int RPC_FRAME_ERR_UNKNOW_ERR					= GetRPCErrorCode(0x00);		// 未知错误
	public static final int RPC_FRAME_ERR_PARSE_ERR						= GetRPCErrorCode(0x01);		// 解析错误
	public static final int RPC_FRAME_ERR_INVALID_REQUEST				= GetRPCErrorCode(0x02);		// 请求不合法错误
	public static final int RPC_FRAME_ERR_METHOD_NOT_FOUND				= GetRPCErrorCode(0x03);		// 方法未找到错误
	public static final int RPC_FRAME_ERR_INVALID_PARAM					= GetRPCErrorCode(0x04);		// 参数不合法错误
	public static final int RPC_FRAME_ERR_INTERNAL_ERR					= GetRPCErrorCode(0x05);		// 内部错误
	public static final int RPC_FRAME_ERR_REQUEST_TIMEOUT				= GetRPCErrorCode(0x06);		// 请求超时错误
	public static final int RPC_FRAME_ERR_KEEP_ALIVE_FAILED				= GetRPCErrorCode(0x07);		// 保持在线错误
	public static final int RPC_FRAME_ERR_NETWORK_ERR					= GetRPCErrorCode(0x08);		// 网络错误

	// 控制错误码
	public static int GetCtrlErrorCode(int err)
	{
		return (0x00030000 | err);
	}
	public static final int CONTROL_ERR_UNKNOWN							= GetCtrlErrorCode(0x00);		// 未知错误
	public static final int CONTROL_ERR_OBJ_NONE						= GetCtrlErrorCode(0x01);		// 对象不存在错误
	public static final int CONTROL_ERR_OBJ_NOT_VALID					= GetCtrlErrorCode(0x02);		// 对象不合法错误
	public static final int CONTROL_ERR_OBJ_IN_USE						= GetCtrlErrorCode(0x03);		// 对象被访问错误
	public static final int CONTROL_ERR_SUBSET_OVERLAP					= GetCtrlErrorCode(0x04);		// 组集重叠错误
	public static final int CONTROL_ERR_INDEX_OVERLAP					= GetCtrlErrorCode(0x05);		// 索引重叠错误
	public static final int CONTROL_ERR_RESERVE_ACCOUNT					= GetCtrlErrorCode(0x06);		// 不允许使用此账号错误
	public static final int CONTROL_ERR_TOO_MANY_GROUP					= GetCtrlErrorCode(0x07);		// 组过多错误
	public static final int CONTROL_ERR_TOO_MANY_USER					= GetCtrlErrorCode(0x08);		// 用户过多错误
	public static final int CONTROL_ERR_USER_NOT_EXIST					= GetCtrlErrorCode(0x09);		// 用户不存在错误
	public static final int CONTROL_ERR_PASSWORD_NOT_MATCH				= GetCtrlErrorCode(0x0A);		// 密码不匹配错误
	public static final int CONTROL_ERR_UNKNOWN_PASSWORD_TYPE			= GetCtrlErrorCode(0x0B);		// 未知密码类型错误
	public static final int CONTROL_ERR_SAVE_CONFIG_FAILED				= GetCtrlErrorCode(0x0D);		// 保存配置错误
	public static final int CONTROL_ERR_CONFIG_NOT_EXIST				= GetCtrlErrorCode(0x0E);		// 配置不存在错误
	public static final int CONTROL_ERR_CAPS_UNSUPPORTED				= GetCtrlErrorCode(0x0F);		// 能力不支持错误
	public static final int CONTROL_ERR_VALIDATE_FAILED					= GetCtrlErrorCode(0x10);		// 验证失败错误
	public static final int CONTROL_ERR_NO_LANGUAGE						= GetCtrlErrorCode(0x11);		// 无语言错误
	public static final int CONTROL_ERR_LANGUAGE_FILE_LOAD				= GetCtrlErrorCode(0x12);		// 加载语言文件错误
	public static final int CONTROL_ERR_LANGUAGE_FILE_NO_UTF8			= GetCtrlErrorCode(0x13);		// 语言文件无UTF-8编码错误
	public static final int CONTROL_ERR_LANGUAGE_FILE_NO_JSON			= GetCtrlErrorCode(0x14);		// 语言文件无JSON错误
	public static final int CONTROL_ERR_LANGUAGE_UNSUPPORTED			= GetCtrlErrorCode(0x15);		// 语言不支持错误
	public static final int CONTROL_ERR_LOG_DATABASE_NOT_OPEN			= GetCtrlErrorCode(0x16);		// 数据库日志未打开错误
	public static final int CONTROL_ERR_INVALID_LOG_FIND_TOKEN			= GetCtrlErrorCode(0x17);		// 日志查找TOKEN不合法错误
	public static final int CONTROL_ERR_INVALID_UPGRADE_FILE			= GetCtrlErrorCode(0x18);		// 升级文件不合法错误
	public static final int CONTROL_ERR_FAIL_ON_UPGRADE_STATE			= GetCtrlErrorCode(0x1A);		// 升级状态失败错误
	public static final int CONTROL_ERR_NO_PACKET_FOR_UPGRADE			= GetCtrlErrorCode(0x1B);		// 无升级包错误
	public static final int CONTROL_ERR_UPDATER_FILE_IMPORTING			= GetCtrlErrorCode(0x1C);		// 升级器文件导入错误
	public static final int CONTROL_ERR_UPDATER_PARAMS_INVALID			= GetCtrlErrorCode(0x1D);		// 升级器参数错误错误
	public static final int CONTROL_ERR_UPDATER_OPEN_FILE_FAILED		= GetCtrlErrorCode(0x1E);		// 升级器打开文件错误错误
	public static final int CONTROL_ERR_UPDATER_Get_FILE_FAILED			= GetCtrlErrorCode(0x1F);		// 升级器获取文件错误错误
	public static final int CONTROL_ERR_INVALID_PARAM					= GetCtrlErrorCode(0x27);		// 参数不合法错误
	public static final int CONTROL_ERR_AUTH_CHECK_FAILURE				= GetCtrlErrorCode(0x29);		// 权限检查错误
	public static final int CONTROL_ERR_PWD_INVALID						= GetCtrlErrorCode(0x2C);		// 密码不合法错误

	// 网络App错误码
	public static int GetNetAppErrorCode(int err)
	{
		return (0x00040000 | err);
	}
	public static final int WEB_ERR_SESSION_INVALID					= GetNetAppErrorCode(0x00);		// 

	// 网络错误码
	public static int GetNetFamilyErrorCode(int err)
	{
		return (0x00050000 | err);
	}
	public static final int NET_FAMILY_ERR_UNKNOWN					= GetNetFamilyErrorCode(0x00);		// 未知错误
	public static final int NET_FAMILY_ERR_WLAN_PWD_INVALID			= GetNetFamilyErrorCode(0x01);		// 错误
	public static final int NET_FAMILY_ERR_WLAN_CONNECT_TIMEOUT		= GetNetFamilyErrorCode(0x02);		// 错误
	public static final int NET_FAMILY_ERR_WLAN_STOP_CONNECT		= GetNetFamilyErrorCode(0x03);		// 错误

	// 多媒体错误码
	public static int GetMediaErrorCode(int err)
	{
		return (0x00060000 | err);
	}
	public static final int MEDIA_ERR_UNKNOWN						= GetMediaErrorCode(0x00);		// 未知错误
	public static final int MEDIA_ERR_RECORD_MJPEG					= GetMediaErrorCode(0x01);		// Mjpeg的码流类型不支持录像错误
	public static final int MEDIA_ERR_RECORD_STREAM_DISABLE			= GetMediaErrorCode(0x02);		// 录像对应的码流类型没有使能错误
	public static final int MEDIA_ERR_OUT_OF_AUDIO_DECODE_OBJ_NUM	= GetMediaErrorCode(0x03);		// 超出音频解码对象个数限制错误
	
	// 抓拍订阅错误码
	public static int GetSnapUploadErrorCode(int err)
	{
		return (0x00070000 | err);
	}
	public static final int SNAP_UPLOAD_ERR_UNKNOWN					= GetSnapUploadErrorCode(0x01);		// 未知错误
	public static final int SNAP_UPLOAD_ERR_ADDR_NOT_PERMIT			= GetSnapUploadErrorCode(0x02);		// 订阅地址无权限错误
	public static final int SNAP_UPLOAD_ERR_SUBSCRIBE_AGAIN			= GetSnapUploadErrorCode(0x03);		// 重复订阅错误
	public static final int SNAP_UPLOAD_ERR_UNSUBSCRIBE_AGAIN		= GetSnapUploadErrorCode(0x04);		// 重复反订阅错误
	
	// RayinCloud 服务端错误码
	public static int GetRayingCloudSvrErrorCode(int err)
	{
		return (0x00080000 | err);
	}
	public static final int RY_CLOUD_SVR_ERR_UNKNOWN				= GetRayingCloudSvrErrorCode(0x01);		// 未知错误
	
	// 人脸库相关错误码
	public static int GetFaceErrorCode(int err)
	{
		return (0x00090000 | err);
	}
	public static final int FACE_ERR_UNKNOWN	   					= GetFaceErrorCode(0x01);			// 未知错误
	public static final int FACE_ERR_GROUP_NAME_CONFLICT			= GetFaceErrorCode(0x02);			// 人脸底库组名冲突
	public static final int FACE_ERR_GROUP_ALIAS_CONFLICT			= GetFaceErrorCode(0x03);			// 人脸底库组别名冲突
	public static final int FACE_ERR_GROUP_GUID_CONFLICT			= GetFaceErrorCode(0x04);			// 人脸底库组GUID冲突
	public static final int FACE_ERR_GROUP_NUM						= GetFaceErrorCode(0x05);			// 人脸底库组数已达上限
	public static final int FACE_ERR_PERSON_NAME_CONFLICT			= GetFaceErrorCode(0x06);			// 人脸库入库人员名字冲突
	public static final int FACE_ERR_PERSON_CERTID_CONFLICT			= GetFaceErrorCode(0x07);			// 人脸库入库人员证件和证件号冲突
	public static final int FACE_ERR_FACETOKEN_CONFLICT				= GetFaceErrorCode(0x08);			// 入库的人脸图片 Token 冲突
	public static final int FACE_ERR_FACEIMAGE_BIND					= GetFaceErrorCode(0x09);			// 人脸图片重复绑定
	public static final int FACE_ERR_FACEIMAGE_NUM					= GetFaceErrorCode(0x0a);			// 入库人脸数已达上限
	public static final int FACE_ERR_PERSON_FACEIMAGE_NUM			= GetFaceErrorCode(0x0b);			// 此人待入库人脸数已达上限
	public static final int FACE_ERR_PERSON_FACEIMAGE_OVERFLOW		= GetFaceErrorCode(0x0c);			// 此人待入库人脸数超过上限
	public static final int FACE_ERR_FACEIMAGE_EMPTY				= GetFaceErrorCode(0x0d);			// 人脸图片数据空
	public static final int FACE_ERR_PERSON_NOT_EXIST				= GetFaceErrorCode(0x0e);			// 人员不存在
	public static final int FACE_ERR_FACEIMAGE_NOT_EXIST			= GetFaceErrorCode(0x0f);			// 人脸不存在
	public static final int FACE_ERR_FACEIMAGE_ALREADY_EXIST		= GetFaceErrorCode(0x10);			// 人脸图片已入库
	public static final int FACE_ERR_FACEIMAGE_NO_FACE				= GetFaceErrorCode(0x11);			// 人脸图片无人脸
	public static final int FACE_ERR_FACEIMAGE_LOW_QUALITY			= GetFaceErrorCode(0x12);			// 人脸图片质量过低
	public static final int FACE_ERR_GROUP_NOT_EXIST				= GetFaceErrorCode(0x13);			// 人脸底库组不存在
	public static final int	FACE_ERR_FACEIMAGE_TOO_LARGE			= GetFaceErrorCode(0x14);			// 人脸图片数据过大
	public static final int FACE_ERR_SYSTEM_BUSY					= GetFaceErrorCode(0x15);			// 系统忙
	public static final int FACE_ERR_ALG_UNKNOWN					= GetFaceErrorCode(0x16);			// 算法未知错误
	public static final int FACE_ERR_ALG_MODEL_VERSION_NO_MATCH		= GetFaceErrorCode(0x17);			// 模型版本不匹配
	public static final int FACE_ERR_FACEGROUP_CONFLICT				= GetFaceErrorCode(0x18);			// 人脸库类型冲突
	public static final int FACE_ERR_FACE_COUNT_TOO_MUCH			= GetFaceErrorCode(0x19);			// 人脸数过多
	public static final int FACE_ERR_FACE_IMAGE_FORMAT_UNSUPPORT	= GetFaceErrorCode(0x1A);			// 人脸图片格式错误
	public static final int FACE_ERR_FACE_IMAGE_ANGLE				= GetFaceErrorCode(0x1B);			// 人脸图片角度错误
	public static final int FACE_ERR_FACE_IMAGE_FACE_SIZE			= GetFaceErrorCode(0x1C);			// 人脸图片人脸框大小错误
	public static final int FACE_ERR_FACE_IMAGE_FACE_BLUR			= GetFaceErrorCode(0x1D);			// 人脸图片过于模糊

	// AccessApp错误码
	public static int GetAccAppErrorCode(int err)
	{
		return (0x000A0000 | err);
	}
	public static final int ACCESS_APP_ERR_UNKNOWN					= GetAccAppErrorCode(0x01);			// 未知错误
	public static final int ACCESS_APP_ERR_GROUP_NOT_FOUND			= GetAccAppErrorCode(0x02);			// 无匹配组错误
	public static final int ACCESS_APP_ERR_CREATE_FACE_OWNER		= GetAccAppErrorCode(0x03);			// 创建人脸所有者失败
	public static final int ACCESS_APP_ERR_REMOVE_FACE_OWNER		= GetAccAppErrorCode(0x04);			// 删除人脸所有者失败
	public static final int ACCESS_APP_ERR_ID_ALREADY_EXIST			= GetAccAppErrorCode(0x05);			// 人员工号已存在
	public static final int ACCESS_APP_ERR_CONDITION				= GetAccAppErrorCode(0x06);			// 限制条件缺失或超过最大值
	
	// Storage错误码
	public static int GetStorageErrorCode(int err)
	{
		return (0x000B0000 | err);
	}
	public static final int STORAGE_ERR_UNKNOWN						= GetStorageErrorCode(0x01);		// 未知错误
	public static final int STORAGE_ERR_FILE_NOT_FOUND				= GetStorageErrorCode(0x02);		// 未找到文件
	
	// 错误类型代号，对应 Net_LastError 接口的返回值
	public static int GetErrorCode(int err)
	{
		return (0xEC000000 | err);
	}
	public static final int NET_NOERR								= 0;								// 没有错误
	public static final int NET_ERR_UNKNOWN							= -1;								// 未知错误
	public static final int NET_ERR_INVALID_HANDLE                  = GetErrorCode(0x01);				// 句柄无效错误
	public static final int NET_ERR_SYS								= GetErrorCode(0x02);				// 系统错误
	public static final int NET_ERR_NETWORK							= GetErrorCode(0x03);				// 网络错误
	public static final int NET_ERR_PROTOCOL						= GetErrorCode(0x04);				// 协议错误
	public static final int NET_ERR_INIT							= GetErrorCode(0x05);				// 初始化错误
	public static final int NET_ERR_UNINIT							= GetErrorCode(0x06);				// 清理错误
	public static final int NET_ERR_NO_INIT                         = GetErrorCode(0x07);				// 未经初始化错误
	public static final int NET_ERR_NOT_AUTHORIZED                  = GetErrorCode(0x08);				// 无操作权限错误
	public static final int NET_ERR_ILLEGAL_PARAM                   = GetErrorCode(0x09);				// 用户参数不合法错误
	public static final int NET_ERR_RENDER_OPEN						= GetErrorCode(0x0A);				// 申请render资源错误
	public static final int NET_ERR_OPEN_CHANNEL					= GetErrorCode(0x0B);				// 打开通道失败错误
	public static final int NET_ERR_CLOSE_CHANNEL					= GetErrorCode(0x0C);				// 关闭通道失败错误
	public static final int NET_ERR_INVALID_CHANNEL					= GetErrorCode(0x0D);				// 通道号无效错误
	public static final int NET_ERR_DEC_OPEN						= GetErrorCode(0x0E);				// 打开解码库错误
	public static final int NET_ERR_DEC_CLOSE						= GetErrorCode(0x0F);				// 关闭解码库错误

	public static final int NET_ERR_REAL_DATA_ALREADY_SAVED         = GetErrorCode(0x10);				// 实时数据已保存的错误
	public static final int NET_ERR_REAL_DATA_NOT_SAVED             = GetErrorCode(0x11);				// 实时数据未保存的错误
	public static final int NET_ERR_OPEN_FILE						= GetErrorCode(0x12);				// 打开文件错误
	public static final int NET_ERR_RETURN_VERIFY                   = GetErrorCode(0x13);				// 返回数据校验错误
	public static final int NET_ERR_BUFFER_NOT_ENOUGH               = GetErrorCode(0x14);				// 缓存不足错误
	public static final int NET_ERR_NOT_SUPPORT                     = GetErrorCode(0x15);				// 未支持错误
	public static final int NET_ERR_RECORD_NOT_FOUND                = GetErrorCode(0x16);				// 查询不到录像错误
	public static final int NET_ERR_BUSY                            = GetErrorCode(0x17);				// 进程/线程正忙错误
	public static final int NET_ERR_NO_TALK_CHANNEL                 = GetErrorCode(0x18);				// 未发现对讲通道错误
	public static final int NET_ERR_NO_AUDIO                        = GetErrorCode(0x19);				// 未发现音频错误
	public static final int NET_ERR_DOWNLOAD_END                    = GetErrorCode(0x1A);				// 下载已结束错误
	public static final int NET_ERR_EMPTY_LIST                      = GetErrorCode(0x1B);				// 查询结果为空错误
	public static final int NET_ERR_AUDIO_ENCODE_NOT_INIT           = GetErrorCode(0x1C);				// 音频编码接口没有成功初始化的错误
	public static final int NET_ERR_DATA_TOO_LONG                   = GetErrorCode(0x1D);				// 数据过长的错误
	public static final int NET_ERR_OPT_NOT_SUPPORT					= GetErrorCode(0x1E);				// 设备不支持该操作的错误
	public static final int NET_ERR_RESOURCE_NOT_ENOUGH             = GetErrorCode(0x1F);				// 设备资源不足的错误

	public static final int NET_ERR_SERVER_STARTED					= GetErrorCode(0x20);				// 服务器已经启动的错误
	public static final int NET_ERR_SERVER_STOPPED                  = GetErrorCode(0x21);				// 服务器尚未成功启动的错误
	public static final int NET_ERR_INPUT_SERIAL					= GetErrorCode(0x22);				// 输入序列号有误的错误
	public static final int NET_ERR_QUERY_DISK_INFO					= GetErrorCode(0x23);				// 获取硬盘信息失败的错误
	public static final int NET_ERR_USER_PWD_TRYTIME				= GetErrorCode(0x24);				// 输入密码错误超过限制次数的错误
	public static final int NET_ERR_NOT_SUPPORT_SUB_PARTITION       = GetErrorCode(0x25);				// 不支持网络硬盘分区的错误
	public static final int NET_ERR_GET_AUTO_REG_SERVER             = GetErrorCode(0x26);				// 获取设备上主动注册服务器信息失败的错误
	public static final int NET_ERR_CONTROL_AUTO_REGISTER			= GetErrorCode(0x27);				// 主动注册重定向注册错误的错误
	public static final int NET_ERR_DISCONNECT_AUTO_REGISTER		= GetErrorCode(0x28);				// 断开主动注册服务器错误的错误
	public static final int NET_ERR_CONNECT_FAIL					= GetErrorCode(0x29);				// 请求建立连接失败的错误
	public static final int NET_ERR_QUERY_SERIAL_PORT               = GetErrorCode(0x2A);				// 查询串口参数失败的错误
	public static final int NET_ERR_LOGOUT							= GetErrorCode(0x2B);				// 登出设备的错误
	public static final int NET_ERR_GET_REQUEST_DATA				= GetErrorCode(0x2C);				// 设备无法获取当前请求数据
	public static final int NET_ERR_MAC_VALIDATE					= GetErrorCode(0x2D);				// MAC地址验证失败 
	public static final int NET_ERR_GET_SERVER_INSTANCE             = GetErrorCode(0x2E);				// 获取服务器实例失败
	public static final int NET_ERR_JSON_REQUEST					= GetErrorCode(0x2F);				// 生成的json字符串错误

	public static final int NET_ERR_JSON_RESPONSE					= GetErrorCode(0x30);				// 响应的json字符串错误，一般指解析 json 结果与预期不符
	public static final int NET_ERR_VERSION_HIGHER					= GetErrorCode(0x31);				// 协议版本低于当前使用的版本
	public static final int NET_ERR_SPARE_NO_CAPACITY               = GetErrorCode(0x32);				// 热备操作失败, 容量不足
	public static final int NET_ERR_DISPLAY_SOURCE_OCCUPPIED        = GetErrorCode(0x33);				// 显示源被其他输出占用
	public static final int NET_ERR_REAVE							= GetErrorCode(0x34);				// 高级用户抢占低级用户资源
	public static final int NET_ERR_NET_FORBID						= GetErrorCode(0x35);				// 禁止入网 
	public static final int NET_ERR_OPERATE_OVERTIME				= GetErrorCode(0x36);				// 当前操作超时 
	public static final int NET_ERR_SENIOR_VALIDATE_FAIL			= GetErrorCode(0x37);				// 高级校验失败 
	public static final int NET_ERR_DEVICE_ID_NOT_EXIST				= GetErrorCode(0x38);				// 设备ID不存在
	public static final int NET_ERR_PROXY_DLL_LOAD					= GetErrorCode(0x39);				// 代理库加载失败
	public static final int NET_ERR_PROXY_ILLEGAL_PARAM				= GetErrorCode(0x3A);				// 代理用户参数不合法
	public static final int NET_ERR_PROXY_INVALID_HANDLE			= GetErrorCode(0x3B);				// 代理句柄无效
	public static final int NET_ERR_PROXY_LOGIN_DEVICE				= GetErrorCode(0x3C);				// 代理登入前端设备失败
	public static final int NET_ERR_PROXY_START_SERVER				= GetErrorCode(0x3D);				// 启动代理服务失败
	public static final int NET_ERR_SPEAK_FAIL						= GetErrorCode(0x3E);				// 请求喊话失败
	public static final int NET_ERR_CD_NOT_READY                    = GetErrorCode(0x3F);				// 光盘未就绪

	public static final int NET_ERR_DIR_NOT_EXIST					= GetErrorCode(0x40);				// 目录不存在
	public static final int NET_ERR_SPLIT_MODE_NOT_SUPPORT			= GetErrorCode(0x41);				// 设备不支持的分割模式
	public static final int NET_ERR_OPEN_WND_PARAM					= GetErrorCode(0x42);				// 打开窗口参数不合法
	public static final int NET_ERR_LIMITED_WND_COUNT				= GetErrorCode(0x43);				// 打开窗口数量超过限制
	public static final int NET_ERR_REQUEST_NOT_MATCH				= GetErrorCode(0x44);				// 请求命令与当前模式不匹配
	public static final int NET_ERR_UPGRADE_FAIL					= GetErrorCode(0x45);				// 设备升级失败
	public static final int NET_ERR_NO_TARGET_DEVICE				= GetErrorCode(0x46);				// 找不到目标设备
	public static final int NET_ERR_NO_VERIFY_DEVICE				= GetErrorCode(0x47);				// 找不到验证设备
	public static final int NET_ERR_CASCADE_NO_AUTHORIZED           = GetErrorCode(0x48);				// 无级联权限
	public static final int NET_ERR_LOW_PRIORITY					= GetErrorCode(0x49);				// 低优先级
	public static final int NET_ERR_REMOTE_REQUEST_TIMEOUT			= GetErrorCode(0x4A);				// 远程设备请求超时
	public static final int NET_ERR_LIMITED_INPUT_SOURCE			= GetErrorCode(0x4B);				// 输入源超出最大路数限制
	public static final int NET_ERR_SET_LOG_PRINT					= GetErrorCode(0x4C);				// 设置日志打印失败
	public static final int NET_ERR_PARAM_SIZE						= GetErrorCode(0x4D);				// 入参的dwsize字段出错
	public static final int NET_ERR_LIMITED_MONITOR_WALL_COUNT		= GetErrorCode(0x4E);				// 电视墙数量超过上限
	public static final int NET_ERR_ACCESS_FILE						= GetErrorCode(0x4F);				// 访问文件失败

	public static final int NET_ERR_DEVICE_STATUS_BUSY				= GetErrorCode(0x50);				// 设备正忙
	public static final int NET_ERR_CTRL_DECODER_TOUR				= GetErrorCode(0x51);				// 控制解码器解码轮巡失败
	public static final int NET_ERR_GROUP_SUPPORT_NUM_EXCEED        = GetErrorCode(0x52);				// 超出设备支持最大用户组数目
	public static final int NET_ERR_USER_SUPPORT_NUM_EXCEED         = GetErrorCode(0x53);				// 超出设备支持最大用户数目
	public static final int NET_ERR_FILE_NOT_FOUND					= GetErrorCode(0x54);				// 查询不到文件错误
	public static final int NET_ERR_NOT_SUPPORT_ENC_CALL			= GetErrorCode(0x55);				// 设备不支持 sdk 端加密发送数据
	public static final int NET_ERR_FOLDER_NOT_FOUND				= GetErrorCode(0x56);				// 查询不到文件夹错误

	public static final int NET_ERR_BASE64_ENCODE					= GetErrorCode(0x60);				// Base64 编码错误
	public static final int NET_ERR_BASE64_DECODE					= GetErrorCode(0x61);				// Base64 解码错误
	public static final int NET_ERR_BASE16_ENCODE					= GetErrorCode(0x62);				// Base16 编码错误
	public static final int NET_ERR_BASE16_DECODE					= GetErrorCode(0x63);				// Base16 解码错误
	public static final int NET_ERR_MEMORY							= GetErrorCode(0x64);				// 内存错误
	public static final int NET_ERR_JSON_PARSE						= GetErrorCode(0x65);				// Json 解析错误

	public static final int NET_ERR_LOCAL_FILE_NOT_EXIST			= GetErrorCode(0x78);				// 本地文件不存在
	public static final int NET_ERR_LOCAL_FILE_ACCESS				= GetErrorCode(0x79);				// 本地文件访问错误
	public static final int NET_ERR_LOCAL_FILE_SAVE					= GetErrorCode(0x7A);				// 本地文件保存错误

	public static final int NET_ERR_FACE_UPDATE_INSTANCE_CREATE		= GetErrorCode(0x7B);				// 创建人脸Update实例失败
	public static final int NET_ERR_FACE_UPDATE_INSTANCE_DELETE		= GetErrorCode(0x7C);				// 删除人脸Update实例失败
	public static final int NET_ERR_FACE_GROUP_CREATE				= GetErrorCode(0x7D);				// 创建人脸库失败
	public static final int NET_ERR_FACE_GROUP_DELETE				= GetErrorCode(0x7E);				// 删除人脸库失败
	public static final int NET_ERR_FACE_GROUP_EDIT					= GetErrorCode(0x7F);				// 编辑人脸库失败

	public static final int NET_ERR_FACE_GROUPS_GET					= GetErrorCode(0x80);				// 获取所有人脸库信息失败
	public static final int NET_ERR_PERSON_INFO_UPDATE				= GetErrorCode(0x81);				// 人员信息更新失败
	public static final int NET_ERR_PERSON_INFO_DELETE				= GetErrorCode(0x82);				// 删除人员信息
	public static final int NET_ERR_PERSON_INFO_ADD					= GetErrorCode(0x83);				// 添加人脸信息和人脸图片失败
	public static final int NET_ERR_FACE_IMAGE_ADD					= GetErrorCode(0x84);				// 添加人脸图片失败
	public static final int NET_ERR_FACE_IMAGE_DELETE				= GetErrorCode(0x85);				// 删除人脸图片失败
	public static final int NET_ERR_FACE_IMAGE_UPDATE				= GetErrorCode(0x86);				// 更新人脸图片失败
	public static final int NET_ERR_FACE_BIND						= GetErrorCode(0x87);				// 绑定人脸到人脸库失败
	public static final int NET_ERR_FACE_UNBIND						= GetErrorCode(0x88);				// 人脸从人脸库解绑失败
	public static final int NET_ERR_FI_UPDATE_INSTANCE_CREATE		= GetErrorCode(0x89);				// 人脸信息更新句柄创建失败
	public static final int NET_ERR_FI_UPDATE_INSTANCE_DELETE		= GetErrorCode(0x8A);				// 人脸信息更新句柄销毁失败
	public static final int NET_ERR_FACE_FEATRUE_EXTRACT			= GetErrorCode(0x8B);				// 抽取人脸特征失败				
	public static final int NET_ERR_FACE_FIND_HANDLE_CREATE			= GetErrorCode(0x8C);				// 人脸查找句柄创建失败
	public static final int NET_ERR_FACE_FIND_HANDLE_CLOSE			= GetErrorCode(0x8D);				// 人脸查找句柄关闭失败
	public static final int NET_ERR_FACE_FIND_HANDLE_DESTROY		= GetErrorCode(0x8E);				// 人脸查找句柄销毁失败
	public static final int NET_ERR_FACE_PRE_FIND					= GetErrorCode(0x8F);				// 预查找人脸信息失败

	public static final int NET_ERR_FACE_QUERY_NO_RESULT			= GetErrorCode(0x90);				// 查询人脸信息无结果
	public static final int NET_ERR_PERSON_COUNT_QUERY				= GetErrorCode(0x91);				// 获取查询条件下人员数失败
	public static final int NET_ERR_FACE_COUNT_QUERY				= GetErrorCode(0x92);				// 获取查询条件下人脸数目失败				
	public static final int NET_ERR_PERSON_INFO_QUERY				= GetErrorCode(0x93);				// 查询人员信息失败
	public static final int NET_ERR_FACE_IMAGE_INFO_QUERY			= GetErrorCode(0x94);				// 查询人脸图像信息失败
	public static final int NET_ERR_FACE_IMAGE_GET					= GetErrorCode(0x95);				// 获取人脸图像失败
	public static final int NET_ERR_PERSON_NAME_CHECK				= GetErrorCode(0x96);				// 人名检测失败
	public static final int NET_ERR_FACE_REC_REC_FIND_HANDLE_CREATE	= GetErrorCode(0x97);				// 人脸比对记录查找句柄创建失败
	public static final int NET_ERR_FACE_REC_REC_FIND_HANDLE_CLOSE	= GetErrorCode(0x98);				// 人脸比对记录查找句柄关闭失败
	public static final int NET_ERR_FACE_REC_REC_FIND_HANDLE_DESTROY	= GetErrorCode(0x99);			// 人脸比对记录查找句柄销毁失败
	public static final int NET_ERR_FACE_REC_REC_PRE_FIND			= GetErrorCode(0x9A);				// 预查询人脸比对结果失败
	public static final int NET_ERR_FACE_REC_REC_QUERY_NO_RESULT	= GetErrorCode(0x9B);				// 查询人脸比对结果失败
	public static final int NET_ERR_FACE_REC_REC_COUNT_QUERY		= GetErrorCode(0x9C);				// 查询获取人脸比对结果数目失败
	public static final int NET_ERR_FACE_REC_STATIC					= GetErrorCode(0x9D);				// 静态比对人脸图失败
	public static final int NET_ERR_FACE_SET_STATE_GET				= GetErrorCode(0x9E);				// 人脸底库状态获取失败
	public static final int NET_ERR_FACE_EXTRACT_SCHEDULE_GET		= GetErrorCode(0x9F);				// 获取人脸建模进度失败

	public static final int NET_ERR_TALK_REJECT						= GetErrorCode(0xA0);				// 拒绝对讲
	public static final int NET_ERR_TALK_ALREADY_OPEN               = GetErrorCode(0xA1);				// 对讲被其他客户端打开
	public static final int NET_ERR_TALK_RESOURCE_CONFLICIT			= GetErrorCode(0xA2);				// 资源冲突
	public static final int NET_ERR_TALK_ENCODE_NOT_SUPPORTED       = GetErrorCode(0xA3);				// 不支持的语音编码格式
	public static final int NET_ERR_TALK_NO_AUTHORIZED              = GetErrorCode(0xA4);				// 无权限
	public static final int NET_ERR_TALK_FAIL						= GetErrorCode(0xA5);				// 请求对讲失败
	
	public static final int NET_ERR_FACE_EXTRACT_DETAILS_GET		= GetErrorCode(0xB0);				// 获取人脸建模结果详情失败
	public static final int NET_ERR_FACE_EXTRACT_DETAILS_BUSY		= GetErrorCode(0xB1);				// 获取设备人脸建模结果中
	
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//登录错误
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	public static final int NET_ERR_LOGIN_GET_SYSINFO_FAIL			= GetErrorCode(0xC0);				// 获取设备系统信息失败
	public static final int NET_ERR_LOGIN_GET_CLOUD_CIPHER_FAIL		= GetErrorCode(0xC1);				// 获取加密套件配置信息失败

	public static final int NET_ERR_LOGIN_PARSE_RESPONSE_PARAM		= GetErrorCode(0xC2);				// 解析登录响应包时参数校验错误
	
	public static final int NET_ERR_LOGIN_PWD						= GetErrorCode(0xC9);				// 密码不正确的错误
	public static final int NET_ERR_LOGIN_USER						= GetErrorCode(0xCA);				// 帐户不存在的错误
	public static final int NET_ERR_LOGIN_TIMEOUT					= GetErrorCode(0xCB);				// 等待登录返回超时的错误
	public static final int NET_ERR_LOGIN_RELOGIN					= GetErrorCode(0xCC);				// 帐号已登录的错误
	public static final int NET_ERR_LOGIN_LOCKED					= GetErrorCode(0xCD);				// 帐号已被锁定的错误
	public static final int NET_ERR_LOGIN_BLACKLIST					= GetErrorCode(0xCE);				// 帐号已被列为黑名单的错误
	public static final int NET_ERR_LOGIN_BUSY						= GetErrorCode(0xCF);				// 资源不足，系统忙的错误

	public static final int NET_ERR_LOGIN_CONNECT					= GetErrorCode(0xD0);				// 创建连接失败
	public static final int NET_ERR_LOGIN_NETWORK					= GetErrorCode(0xD1);				// 网络连接失败
	public static final int NET_ERR_LOGIN_SUB_CONNECT				= GetErrorCode(0xD2);				// 子链接（如视频拉流链接）失败的错误
	public static final int NET_ERR_LOGIN_MAX_CONNECT				= GetErrorCode(0xD3);				// 超过最大连接数的错误
	public static final int NET_ERR_LOGIN_NO_AUTHORIZED				= GetErrorCode(0xD4);				// 客户端IP地址没有登录权限的错误 
	public static final int NET_ERR_LOGIN_USER_PWD					= GetErrorCode(0xD5);				// 登录用户名或密码错误
	public static final int NET_ERR_LOGIN_PEER_BLOCKED				= GetErrorCode(0xD6);				// 用户登录被阻塞
	public static final int NET_ERR_LOGIN_BUILD_FIRST_PACKET		= GetErrorCode(0xD7);				// 组织第一次登录请求包错误
	public static final int NET_ERR_LOGIN_BUILD_SECOND_PACKET		= GetErrorCode(0xD8);				// 组织第二次登录请求包错误
	public static final int NET_ERR_LOGIN_VERIFY_FIRST_RESPONSE		= GetErrorCode(0xD9);				// 第一次登录请求的响应包无效
	public static final int NET_ERR_LOGIN_VERIFY_SECOND_RESPONSE	= GetErrorCode(0xDA);				// 第二次登录请求的响应包无效
	public static final int NET_ERR_LOGIN_OPENSSL					= GetErrorCode(0xDB);				// 调用OpensslAPI执行错误
	public static final int NET_ERR_LOGIN_INVALID_HANDLE			= GetErrorCode(0xDC);				// 创建登录句柄失败
	public static final int NET_ERR_LOGIN_REG_INVALID_SERIAL		= GetErrorCode(0xDD);				// 主动注册登录，序列号无效
	public static final int NET_ERR_LOGIN_JSON_RESPONSE				= GetErrorCode(0xDE);				// 解析登录请求的响应包失败
	
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	public static final int NET_ERR_PLAY_LOG_OPTION					= GetErrorCode(0xE0);				// PLAY库日志选项错误

	public static final int NET_ERR_RENDER_AUDIO_ON					= GetErrorCode(0xF0);				// Render库打开音频出错的错误
	public static final int NET_ERR_RENDER_AUDIO_OFF				= GetErrorCode(0xF1);				// Render库关闭音频出错的错误
	public static final int NET_ERR_RENDER_SET_VOLUME				= GetErrorCode(0xF2);				// Render库控制音量出错的错误
	public static final int NET_ERR_RENDER_ADJUST					= GetErrorCode(0xF3);				// Render库设置画面参数出错的错误
	public static final int NET_ERR_RENDER_PAUSE					= GetErrorCode(0xF4);				// Render库暂停播放出错的错误
	public static final int NET_ERR_RENDER_SNAP						= GetErrorCode(0xF5);				// Render库抓图出错的错误
	public static final int NET_ERR_RENDER_STEP						= GetErrorCode(0xF6);				// Render库步进出错的错误
	public static final int NET_ERR_RENDER_FRAMERATE				= GetErrorCode(0xF7);				// Render库设置帧率出错的错误
	public static final int NET_ERR_RENDER_DISPLAY_REGION			= GetErrorCode(0xF8);				// Render库设置显示区域出错的错误
	public static final int NET_ERR_RENDER_HPIC_ADJUST_ENABLE		= GetErrorCode(0xF9);				// Render库高清图像调整策略使能错误
	public static final int NET_ERR_RENDER_PRIVATE_DATA				= GetErrorCode(0xFA);				// Render库使能绘制智能数据错误
	public static final int NET_ERR_RENDER_LOG_OPTION				= GetErrorCode(0xFB);				// Render库日志选项错误
	public static final int NET_ERR_RENDER_INVALID_HANDLE			= GetErrorCode(0xFC);				// 无效Render句柄

	public static final int NET_ERR_GROUP_EXIST                     = GetErrorCode(0x118);			// 组名已存在的错误
	public static final int NET_ERR_GROUP_NOT_EXIST                 = GetErrorCode(0x119);			// 组名不存在的错误
	public static final int NET_ERR_GROUP_RIGHT_OVER				= GetErrorCode(0x11A);			// 组的权限超出权限列表范围的错误
	public static final int NET_ERR_GROUP_USER_EXIST                = GetErrorCode(0x11B);			// 组下有用户，不能删除的错误
	public static final int NET_ERR_GROUP_RIGHT_NOT_RELEASE         = GetErrorCode(0x11C);			// 组的某个权限被用户占用，不能删除的错误
	public static final int NET_ERR_GROUP_SAME_NAME					= GetErrorCode(0x11D);			// 新组名同已有组名重复的错误

	public static final int NET_ERR_USER_EXIST						= GetErrorCode(0x12C);			// 用户已存在的错误
	public static final int NET_ERR_USER_NOEXIST                    = GetErrorCode(0x12D);			// 用户不存在的错误
	public static final int NET_ERR_USER_RIGHT_EXCEED               = GetErrorCode(0x12E);			// 用户权限超出组权限的错误
	public static final int NET_ERR_USER_PWD                        = GetErrorCode(0x12F);			// 保留帐号，不容许修改密码的错误

	public static final int NET_ERR_USER_WRONG_PWD                  = GetErrorCode(0x130);			// 密码不正确的错误
	public static final int NET_ERR_USER_PWD_NOT_MATCH              = GetErrorCode(0x131);			// 密码不匹配的错误
	public static final int NET_ERR_USER_WORKING                    = GetErrorCode(0x132);			// 账号正在使用中的错误

	public static final int NET_ERR_CFG_DATA_ILLEGAL                = GetErrorCode(0x168);			// 配置数据不合法的错误
	public static final int NET_ERR_CFG_BUSY						= GetErrorCode(0x169);			// 暂时无法设置的错误

	public static final int NET_ERR_GET_SYS_ATTRI_CFG               = GetErrorCode(0x172);			// 获取系统属性配置失败的错误
	public static final int NET_ERR_GET_SERIAL_NUMBER               = GetErrorCode(0x173);			// 获取序列号失败的错误
	public static final int NET_ERR_GET_GENERAL_CFG					= GetErrorCode(0x174);			// 获取常规属性失败的错误
	public static final int NET_ERR_GET_DSP_CAP_CFG                 = GetErrorCode(0x175);			// 获取DSP能力描述失败的错误
	public static final int NET_ERR_GET_NET_CFG						= GetErrorCode(0x176);			// 获取网络配置失败的错误
	public static final int NET_ERR_GET_CHANNEL_NAME_CFG            = GetErrorCode(0x177);			// 获取通道名称失败的错误
	public static final int NET_ERR_GET_VIDEO_CFG					= GetErrorCode(0x178);			// 获取视频属性失败的错误
	public static final int NET_ERR_GET_RECORD_CFG					= GetErrorCode(0x179);			// 获取录像配置失败的错误
	public static final int NET_ERR_GET_DEC_PROTOCOL_NAME_CFG       = GetErrorCode(0x17A);			// 获取解码器协议名称失败的错误
	public static final int NET_ERR_GET_232_FUNC_NAME_CFG           = GetErrorCode(0x17B);			// 获取232串口功能名称失败的错误
	public static final int NET_ERR_GET_485_DECODER_CFG             = GetErrorCode(0x17C);			// 获取解码器属性失败的错误
	public static final int NET_ERR_GET_232_CFG						= GetErrorCode(0x17D);			// 获取232串口配置失败的错误
	public static final int NET_ERR_GET_ALARM_IN_CFG                = GetErrorCode(0x17E);			// 获取外部报警输入配置失败的错误
	public static final int NET_ERR_GET_ALARM_DETECT_CFG            = GetErrorCode(0x17F);			// 获取动态检测报警失败的错误

	public static final int NET_ERR_GET_SYSTIME_CFG					= GetErrorCode(0x180);			// 获取设备时间失败的错误
	public static final int NET_ERR_GET_PREVIEW_CFG					= GetErrorCode(0x181);			// 获取预览参数失败的错误
	public static final int NET_ERR_GET_AUTO_MAINTAIN_CFG           = GetErrorCode(0x182);			// 获取自动维护配置失败的错误
	public static final int NET_ERR_GET_VIDEO_MTRIX_CFG             = GetErrorCode(0x183);			// 获取视频矩阵配置失败的错误
	public static final int NET_ERR_GET_COVER_CFG					= GetErrorCode(0x184);			// 获取区域遮挡配置失败的错误
	public static final int NET_ERR_GET_WATERMARK_CFG				= GetErrorCode(0x185);			// 获取图像水印配置失败的错误
	public static final int NET_ERR_GET_MULTICAST_CFG				= GetErrorCode(0x186);			// 获取组播端口按通道配置失败的错误
	public static final int NET_ERR_GET_SESSION_CFG					= GetErrorCode(0x187);			// 获取连接Session信息的错误
	public static final int NET_ERR_GET_ETHERNET_CFG				= GetErrorCode(0x188);			// 获取网卡配置失败的错误
	public static final int NET_ERR_GET_WLAN_CFG					= GetErrorCode(0x189);			// 获取无线网络信息失败的错误
	public static final int NET_ERR_GET_WLAN_DEVICE_CFG             = GetErrorCode(0x18A);			// 获取无线网络设备失败的错误
	public static final int NET_ERR_GET_REGISTER_CFG				= GetErrorCode(0x18B);			// 获取主动注册参数失败的错误
	public static final int NET_ERR_GET_CAMERA_CFG					= GetErrorCode(0x18C);			// 获取摄像头属性失败的错误
	public static final int NET_ERR_GET_INFRARED_CFG				= GetErrorCode(0x18D);			// 获取红外报警配置失败的错误
	public static final int NET_ERR_GET_AUDIO_ALARM_CFG             = GetErrorCode(0x18E);			// 获取音频报警配置失败的错误
	public static final int NET_ERR_GET_STORAGE_CFG					= GetErrorCode(0x18F);			// 获取存储位置配置失败的错误

	public static final int NET_ERR_GET_MAIL_CFG					= GetErrorCode(0x190);			// 获取邮件配置失败的错误
	public static final int NET_ERR_GET_TIME_DST_CFG                = GetErrorCode(0x191);			// 获取夏令时配置失败的错误
	public static final int NET_ERR_GET_VIDEO_OSD_CFG				= GetErrorCode(0x192);			// 获取视频OSD叠加配置失败的错误
	public static final int NET_ERR_GET_GPRS_CDMA_CFG               = GetErrorCode(0x193);			// 获取CDMA\GPRS网络配置失败的错误
	public static final int NET_ERR_GET_IP_FILTER_CFG               = GetErrorCode(0x194);			// 获取IP过滤配置失败的错误
	public static final int NET_ERR_GET_TALK_ENCODE_CFG             = GetErrorCode(0x195);			// 获取语音对讲编码配置失败的错误
	public static final int NET_ERR_GET_RECORD_LENGTH_CFG           = GetErrorCode(0x196);			// 获取录像打包长度配置失败的错误
	public static final int NET_ERR_GET_VIDEO_OUT_CFG               = GetErrorCode(0x197);			// 查询视频输出参数配置失败的错误
	public static final int NET_ERR_GET_OSD_ENABLE_CFG              = GetErrorCode(0x198);			// 获取osd叠加使能配置失败的错误
	public static final int NET_ERR_GET_TV_ADJUST_CFG               = GetErrorCode(0x199);			// 获取TV调节配置失败的错误
	public static final int NET_ERR_GET_SNIFFER_CFG					= GetErrorCode(0x19A);			// 获取抓包配置信息失败的错误
	public static final int NET_ERR_GET_DOWNLOAD_RATE_CFG           = GetErrorCode(0x19B);			// 查询下载限制信息失败的错误
	public static final int NET_ERR_GET_POINT_CFG					= GetErrorCode(0x19C);			// 获取预制点信息错误的错误
	public static final int NET_ERR_GET_VEHICLE_CFG					= GetErrorCode(0x19D);			// 获取车载配置失败的错误
	public static final int NET_ERR_GET_DECODER_TOUR_CFG			= GetErrorCode(0x19E);			// 获取解码器解码轮巡配置失败
	public static final int NET_ERR_GET_SIP_CFG						= GetErrorCode(0x19F);			// 获取SIP配置失败

	public static final int NET_ERR_GET_SIP_CAPS					= GetErrorCode(0x1A0);			// 获取SIP能力失败
	public static final int NET_ERR_GET_WIFI_AP_CFG					= GetErrorCode(0x1A1);			// 获取WIFI ap配置失败
	public static final int NET_ERR_GET_DECODE_STRATEGY_CFG         = GetErrorCode(0x1A2);			// 获取解码策略配置失败
	public static final int NET_ERR_GET_MACHINE_CFG					= GetErrorCode(0x1A3);			// 获取机器相关配置失败
	public static final int NET_ERR_GET_MAC_FILTER_CFG              = GetErrorCode(0x1A4);			// 获取MAC过滤配置失败
	public static final int NET_ERR_GET_IP_MAC_FILTER_CFG           = GetErrorCode(0x1A5);			// 获取IP/MAC过滤配置失败

	public static final int NET_ERR_SET_GENERAL_CFG					= GetErrorCode(0x1E0);			// 修改常规属性失败的错误
	public static final int NET_ERR_SET_NET_CFG						= GetErrorCode(0x1E1);			// 修改网络配置失败的错误
	public static final int NET_ERR_SET_CHANNEL_NAME_CFG            = GetErrorCode(0x1E2);			// 修改通道名称失败的错误
	public static final int NET_ERR_SET_VIDEO_CFG					= GetErrorCode(0x1E3);			// 修改视频属性失败的错误
	public static final int NET_ERR_SET_RECORD_CFG					= GetErrorCode(0x1E4);			// 修改录像配置失败的错误
	public static final int NET_ERR_SET_485_DECODER_CFG             = GetErrorCode(0x1E5);			// 修改解码器属性失败的错误
	public static final int NET_ERR_SET_232_CFG						= GetErrorCode(0x1E6);			// 修改232串口配置失败的错误
	public static final int NET_ERR_SET_ALARM_IN_CFG                = GetErrorCode(0x1E7);			// 修改外部输入报警配置失败的错误
	public static final int NET_ERR_SET_ALARM_DETECT_CFG            = GetErrorCode(0x1E8);			// 修改动态检测报警配置失败的错误
	public static final int NET_ERR_SET_SYSTIME_CFG					= GetErrorCode(0x1E9);			// 修改设备时间失败的错误
	public static final int NET_ERR_SET_PREVIEW_CFG					= GetErrorCode(0x1EA);			// 修改预览参数失败的错误
	public static final int NET_ERR_SET_AUTO_MAINTAIN_CFG           = GetErrorCode(0x1EB);			// 修改自动维护配置失败的错误
	public static final int NET_ERR_SET_VIDEO_MTRIX_CFG             = GetErrorCode(0x1EC);			// 修改视频矩阵配置失败的错误
	public static final int NET_ERR_SET_COVER_CFG					= GetErrorCode(0x1ED);			// 修改区域遮挡配置失败的错误
	public static final int NET_ERR_SET_WATERMARK_CFG				= GetErrorCode(0x1EE);			// 修改图像水印配置失败的错误
	public static final int NET_ERR_SET_WLAN_CFG					= GetErrorCode(0x1EF);			// 修改无线网络信息失败的错误

	public static final int NET_ERR_SET_WLAN_DEVICE_CFG             = GetErrorCode(0x1F0);			// 选择无线网络设备失败的错误
	public static final int NET_ERR_SET_REGISTER_CFG				= GetErrorCode(0x1F1);			// 修改主动注册参数配置失败的错误
	public static final int NET_ERR_SET_CAMERA_CFG					= GetErrorCode(0x1F2);			// 修改摄像头属性配置失败的错误
	public static final int NET_ERR_SET_INFRARED_CFG				= GetErrorCode(0x1F3);			// 修改红外报警配置失败的错误
	public static final int NET_ERR_SET_AUDIO_ALARM_CFG             = GetErrorCode(0x1F4);			// 修改音频报警配置失败的错误
	public static final int NET_ERR_SET_STORAGE_CFG					= GetErrorCode(0x1F5);			// 修改存储位置配置失败的错误
	public static final int NET_ERR_SET_TIME_DST_CFG                = GetErrorCode(0x1F6);			// 设置夏令时配置失败的错误
	public static final int NET_ERR_SET_VIDEO_OSD_CFG				= GetErrorCode(0x1F7);			// 设置视频OSD叠加配置失败的错误
	public static final int NET_ERR_SET_GPRS_CDMA_CFG               = GetErrorCode(0x1F8);			// 设置CDMA\GPRS网络配置失败的错误
	public static final int NET_ERR_SET_IP_FILTER_CFG               = GetErrorCode(0x1F9);			// 设置IP过滤配置失败的错误
	public static final int NET_ERR_SET_TALK_ENCODE_CFG             = GetErrorCode(0x1FA);			// 设置语音对讲编码配置失败的错误
	public static final int NET_ERR_SET_RECORD_LENGTH_CFG           = GetErrorCode(0x1FB);			// 设置录像打包长度配置失败的错误
	public static final int NET_ERR_SET_VIDEO_OUT_CFG               = GetErrorCode(0x1FC);			// 设置视频输出参数配置失败的错误
	public static final int NET_ERR_SET_OSD_ENABLE_CFG              = GetErrorCode(0x1FD);			// 设置osd叠加使能配置失败的错误
	public static final int NET_ERR_SET_ENCODER_INFO_CFG            = GetErrorCode(0x1FE);			// 设置数字通道前端编码接入配置失败的错误
	public static final int NET_ERR_SET_IP_MAC_FILTER_CFG           = GetErrorCode(0x1FF);			// 设置IP/MAC过滤配置失败

	public static final int NET_ERR_SET_TV_ADJUST_CFG               = GetErrorCode(0x200);			// 设置TV调节配置失败的错误
	public static final int NET_ERR_SET_BURN_FILE_CFG               = GetErrorCode(0x201);			// 请求刻录文件上传失败的错误
	public static final int NET_ERR_SET_SNIFFER_CFG					= GetErrorCode(0x202);			// 设置抓包配置信息失败的错误
	public static final int NET_ERR_SET_DOWNLOAD_RATE_CFG           = GetErrorCode(0x203);			// 设置下载限制信息失败的错误
	public static final int NET_ERR_SET_POINT_CFG					= GetErrorCode(0x204);			// 设置预制点信息错误的错误
	public static final int NET_ERR_SET_VEHICLE_CFG					= GetErrorCode(0x205);			// 设置车载配置失败的错误
	public static final int NET_ERR_SET_ATM_OVERLAY_CFG				= GetErrorCode(0x206);			// 设置atm叠加配置失败的错误
	public static final int NET_ERR_SET_DECODER_TOUR_CFG			= GetErrorCode(0x207);			// 设置解码器解码轮巡配置失败
	public static final int NET_ERR_SET_SIP_CFG						= GetErrorCode(0x208);			// 设置SIP配置失败
	public static final int NET_ERR_SET_WIFI_AP_CFG					= GetErrorCode(0x209);			// 设置WIFI ap配置失败
	public static final int NET_ERR_SET_DECODE_STRATEGY_CFG         = GetErrorCode(0x20A);			// 设置解码策略配置失败
	public static final int NET_ERR_SET_MACHINE_CFG					= GetErrorCode(0x20B);			// 设置机器相关配置失败
	public static final int NET_ERR_SET_MAC_FILTER_CFG              = GetErrorCode(0x20C);			// 设置MAC过滤配置失败

	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	public static final int NET_ERR_COM_NOT_SUPPORT					= GetErrorCode(0x210);			// 不支持任何串口的错误
	public static final int NET_ERR_TRANSCOM_NOT_SUPPORT			= GetErrorCode(0x211);			// 不支持透明串口的错误
	public static final int NET_ERR_TRANSCOM_NUM					= GetErrorCode(0x212);			// 透明串口号错误
	public static final int NET_ERR_TRANSCOM_CFG_GET			    = GetErrorCode(0x213);			// 透明串口配置获取错误
	public static final int NET_ERR_TRANSCOM_CFG_SET				= GetErrorCode(0x214);			// 透明串口配置设置错误

	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// 人脸库相关错误码(补充);
	public static final int NET_ERR_FACE_GROUP_NOT_ENABLE			= GetErrorCode(0x260);			// 人脸组未使能
	public static final int NET_ERR_FACE_GROUP_ENABLE				= GetErrorCode(0x261);			// 人脸组开启使能失败
	public static final int NET_ERR_FACE_FEATURE_COMMIT				= GetErrorCode(0x262);			// 通知设备开始人脸识别失败

	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// 门禁相关错误码
	public static final int NET_ERR_DOOR_MAX_GROUP					= GetErrorCode(0x2A0);			// 已达到最大权限组
	public static final int NET_ERR_DOOR_MAX_PASS_TIME_NUM			= GetErrorCode(0x2A1);			// 已达到最大通过时段数
	public static final int NET_ERR_DOOR_MAX_GROUP_PASS_TIME_NUM	= GetErrorCode(0x2A2);			// 已达到最大权限组与通过时段关系数
	public static final int NET_ERR_DOOR_MAX_CARD_NUM				= GetErrorCode(0x2A3);			// 已达到最大卡数
	public static final int NET_ERR_DOOR_MAX_ACCESS_RECORD_NUM		= GetErrorCode(0x2A4);			// 已达到最大门禁访问记录数
	public static final int NET_ERR_DOOR_ACCESS_VIEW_LOG_GET		= GetErrorCode(0x2A5);			// 获取门禁 Log 图片失败
	public static final int NET_ERR_DOOR_ACCESS_VIEW_LOG_SET		= GetErrorCode(0x2A6);			// 设置门禁 Log 图片失败
	public static final int NET_ERR_DOOR_ACCESS_VIEW_LOG_CLEAR		= GetErrorCode(0x2A7);			// 清除门禁 Log 图片失败
	public static final int NET_ERR_DOOR_ACCESS_VIEW_SET_VOICE		= GetErrorCode(0x2A8);			// 设置门禁自定义提示音失败
	public static final int NET_ERR_DOOR_ACCESS_VIEW_GET_VOICE_INFO	= GetErrorCode(0x2A9);			// 获取门禁提示音信息失败
	public static final int NET_ERR_DOOR_OPEN_DOOR_ONCE				= GetErrorCode(0x2AA);			// 门禁开门失败
	public static final int NET_ERR_DOOR_GET_DOOR_STATUS			= GetErrorCode(0x2AB);			// 获取门禁门状态失败
	
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	// 云台相关错误码
	public static final int NET_ERR_PTZ_CTRL_TYPE					= GetErrorCode(0x301);			// 不支持的云台控制类型
	public static final int NET_ERR_PTZ_EXP_CTRL_TYPE				= GetErrorCode(0x302);			// 不支持的云台巡航控制类型
	public static final int NET_ERR_PTZ_CFG_TYPE					= GetErrorCode(0x303);			// 不支持的云台配置类型

	public static final int NET_ERR_PTZ_PRESETS_EMPTY				= GetErrorCode(0x321);			// 不存在任何预置点
	public static final int NET_ERR_PTZ_PRESET_NOT_EXIST			= GetErrorCode(0x322);			// 不存在该预置点
	public static final int NET_ERR_PTZ_PRESET_EXIST				= GetErrorCode(0x323);			// 预置点已经存在
	public static final int NET_ERR_PTZ_PRESET_MAX_INDEX			= GetErrorCode(0x324);			// 预置点编号已达到最大
	public static final int NET_ERR_PTZ_RECORD_PATTERN				= GetErrorCode(0x325);			// 巡航轨迹模式错误
	public static final int NET_ERR_PTZ_SCAN_BORDER					= GetErrorCode(0x326);			// 线性扫描边界错误

	public static final int NET_ERR_PTZ_PRESET_TOURS_EMPTY			= GetErrorCode(0x340);			// 不存在任何巡航线路
	public static final int NET_ERR_PTZ_PRESET_TOUR_NOT_EXIST		= GetErrorCode(0x341);			// 不存在该巡航线路
	public static final int NET_ERR_PTZ_PRESET_TOUR_EXIST			= GetErrorCode(0x342);			// 巡航线路已存在
	public static final int NET_ERR_PTZ_PRESET_TOUR_MAX_INDEX		= GetErrorCode(0x343);			// 巡航线路编号已达到最大
	public static final int NET_ERR_PTZ_PRESET_TOURS_CLEAR			= GetErrorCode(0x344);			// 清除所有巡航线路错误

	public static final int NET_ERR_PTZ_PRESET_TOUR_NODES_EMPTY		= GetErrorCode(0x350);			// 指定巡航线路的预置点为空
	public static final int NET_ERR_PTZ_PRESET_TOUR_NODE_MAX_INDEX	= GetErrorCode(0x351);			// 指定巡航线路的预置点数目达到最大
	public static final int NET_ERR_PTZ_PRESET_TOUR_NODE_EXIST		= GetErrorCode(0x352);			// 该预置点在指定巡航线路中已存在
	public static final int NET_ERR_PTZ_PRESET_TOUR_NODE_NOT_EXIST	= GetErrorCode(0x353);			// 该预置点在指定巡航线路中不存在		
	public static final int NET_ERR_PTZ_PRESET_TOUR_NODES_CLEAR		= GetErrorCode(0x354);			// 清除指定巡航线路的所有预置点错误

	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//重连错误码
	public static final int NET_ERR_DEV_RECONN_TIMEOUT				= GetErrorCode(0x400);			// 设备重连超时结束
	public static final int NET_ERR_SUB_RECONN_TIMEOUT				= GetErrorCode(0x401);			// 子链接重连超时结束
	public static final int NET_ERR_RECONNECT_ALREADY_OPEN			= GetErrorCode(0x402);			// 重连已启动

	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//实时采集抓图错误码
	public static final int NET_ERR_CREATE_VA_INSTANCE				= GetErrorCode(0x410);			// 创建视频分析设备实例失败
	public static final int NET_ERR_NOT_ENTER_FACE_MODE				= GetErrorCode(0x411);			// 当前非实时采集抓拍模式
	public static final int NET_ERR_SNAP_PICTURE_FAIL				= GetErrorCode(0x412);			// 抓拍图片失败
	public static final int NET_ERR_SNAP_MEMORY_BUFFER_SIZE			= GetErrorCode(0x413);			// 图片缓存大小不足
	public static final int NET_ERR_REAL_LOAD_BY_PAIR_TYPE_INVALID	= GetErrorCode(0x414);			// 成对订阅事件类型不支持，或不支持直接订阅cutout类型

	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	public static final int NET_ERR_GET_AUDIO_DEC_CHANNEL			= GetErrorCode(0x420);			// 获取实时音频解码通道数失败

	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	public static final int NET_ERR_REG_SERVER_START_LISTEN			= GetErrorCode(0x4A0);			// 开启主动注册侦听失败
	public static final int NET_ERR_WAIT_TIMEOUT					= GetErrorCode(0x4A1);			// 等待超时
	public static final int NET_ERR_CREATE_FILE						= GetErrorCode(0x4A2);			// 创建文件失败
	public static final int NET_ERR_DOWNLOAD_FILE					= GetErrorCode(0x4A3);			// 下载文件失败
	public static final int NET_ERR_UPLOAD_FILE					    = GetErrorCode(0x4A4);			// 上传文件失败
	
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	public static final int NET_ERR_MULTI_DOWNLOAD_BYTIME_NO_FILE_FOUND			= GetErrorCode(0x4B0);			// 按时间下载未查询到下载内容错误
	public static final int NET_ERR_MULTI_DOWNLOAD_BYTIME_RECORD_INFO_INVALID	= GetErrorCode(0x4B1);			// 按时间下载解析录像数据无效
	
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	public static final int NET_ERR_LOG_SEARCH_ALREADY_START		= GetErrorCode(0x4C0);			// 设备日志查询已开启错误
	public static final int NET_ERR_LOG_SEARCH_NOT_START			= GetErrorCode(0x4C1);			// 设备日志预查询未开启错误
	
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	public static final int NET_ERR_PLAYBACK_BYTIME_NO_CONTENT_FOUND	= GetErrorCode(0x4D0);					// 按时间回放未查询到回放内容错误
	public static final int NET_ERR_PLAYBACK_BYTIME_CONTENT_INVALID		= GetErrorCode(0x4D1);					// 按时间回放信息不合法
	public static final int NET_ERR_PLAYBACK_BYTIME_SEEK_TIME_INVALID	= GetErrorCode(0x4D2);					// 按时间回放跳转时间不合法
	
	/////////////////////////////////////////////////////////////////////////////////////////
}
